REM *****************************************************************************************
REM *****	THIS FILE PROVIDES AN EXAMPLE OF HOW TO CONFIGURE A DEVELOPMENT ENVIROMENT	*****
REM *****	USING A BATCH FILE: YOU MUST CHANGE THESE VALUES BEFORE EXECUTING THIS FILE *****
REM *****	PLEASE CHECK YOUR CUSTOM INSTALLATION PATH AND EDIT THIS FILE				*****
REM *****	LINUX-LIKE OS: see the "bashrc.sample" sample file 							*****
REM *****************************************************************************************

@ECHO OFF

REM It's a good practise to set permanently these enviroment variables in the user profile.
REM Here we set manually these variables just to speedup the deployment process.

REM - JAVA SETUP
SET JAVA_HOME=C:\Program Files\Java\jdk1.6.0_23

REM - ANT SETUP
SET ANT_HOME=C:\Apps\apache-ant-1.8.2

REM - AXIS2 SETUP
SET AXIS2_HOME=C:\Apps\axis2-1.5.4

REM - TOMCAT LIBRARIES
SET TOMCAT_HOME=C:\Apps\apache-tomcat-7.0.8
SET TOMCAT_LIB=%TOMCAT_HOME%\lib\
SET TOMCATCLASSPATH=%TOMCAT_LIB%\servlet-api.jar

REM - SYSTEM PATH
SET PATH=%PATH%;%ANT_HOME%\bin;%JAVA_HOME%\bin;%AXIS2_HOME%\bin

CD C:\Home\Work\projects\test_webapp

REM If you want to call this batch file easily when you open a command prompt, create another BAT file
REM into the C:\Documents and Settings\<user> directory, with just following line:
REM call <absolute path of the setenv.bat file>
REM Example: call C:\Home\Work\projects\test_webapp\bin\setenv.bat