/**
* Title: Element_2
* Description:
* Copyright:    Copyright (c) 2009
* Company:      Morpheus
* @author Stefano Adriani
* @version 1.0
*/

package adriani.webapp.axis ;

import java.util.* ;
import javax.xml.stream.* ;
import javax.xml.namespace.* ;

import org.apache.axis2.databinding.* ;
import org.apache.axis2.databinding.utils.* ;

/**
*  Element_2 bean class
*/
public class Element_2 extends Element {

	/** The leading name of each message logged on the standard output.									*/
	protected String leadingName = "Element_2 - " ;

	/**
	* Method
	*
	*/
	public Element_2() {
		
		super("element_2") ;
	}

// ************************					PUBLIC USER API 			*****************************************		
	
	/**
	*
	*/
	public String getElement_2()					{		return getNodeValue() ;							}

	/**
	*
	*/
	public void setElement_2(String param) 			{		setNodeValue(param) ;							}

// ************************					HELPER CLASS			*****************************************	
	
	/**
	*  Factory class that keeps the parse method
	*/
	public static class Factory {

		/**
		* static method to create the object
		* Precondition:  If this object is an element, the current or next start element starts this object and any intervening reader events are ignorable
		*                If this object is not an element, it is a complex type and the reader is at the event just after the outer start element
		* Postcondition: If this object is an element, the reader is positioned at its end element
		*                If this object is a complex type, the reader is positioned at the end element of its outer element
		*/
		public static Element_2 parse(XMLStreamReader reader) throws Exception {

			int event ; 		
			String prefix ="" ;
			String namespaceuri ="" ;
			String nillableValue = null ;			
			
			// TUTORIAL: creating the object in order to access the not static field "elementName"
			Element_2 object = new Element_2() ;					
			String elementName = object.elementName ;
			
			try {
			
				while ( !reader.isStartElement() && !reader.isEndElement() ) reader.next() ;

				// Note all attributes that were handled. Used to differ normal attributes from anyAttributes.
				Vector handledAttributes = new Vector() ;

				while(!reader.isEndElement()) {
				
					if ( reader.isStartElement() ) {

						if ( reader.isStartElement() && new QName("http://www.example.org/", elementName).equals(reader.getName()) ) {

							String content = reader.getElementText();
							object.setNodeValue( ConverterUtil.convertToString(content) ) ;
						}  // End of if for expected property start element
						else{
							// A start element we are not expecting indicates an invalid parameter was passed
							throw new ADBException("Unexpected subelement " + reader.getLocalName()) ;
						}
					} else {
						reader.next() ;
					}
					
				}  // End of while

			} catch (XMLStreamException e) { 
				throw new Exception(e) ;
			}

			return object;
		}

	} // End of factory class
	
} // END OF CLASS