/**
* Title: 		GeneralBean
* Description:	General parent class for all the <CODE>XXXBean</CODE> classes
* Copyright:    Copyright (c) 2009
* Company:      Morpheus
* @author 		Stefano Adriani
* @version 		1.0
*/

package adriani.webapp.beans ;

import adriani.webapp.util.* ;

import javax.servlet.http.* ;

/**
* Parent class for all the <CODE>XXXBean</CODE> classes. It defines the general methods used in all other beans,
* such as parsing and conversion of data type.
*/
 public class GeneralBean implements java.io.Serializable {

	/** Mandatory constructor, required by the JavaBeans implementation rules.									*/
    public GeneralBean() { }

// **************************************************************************************************************
// **********************************			DATA SET		*************************************************
// **************************************************************************************************************

	/** Specifies if the "natural" object stored in this bean is not null.
	* @return <code>true</code> if the bean's attributes have been set by a <code>setPropert</code> call.
	*/
	public boolean isSet() 						{		return false ;											}

// **************************************************************************************************************	
// **********************************			UTILITIES		*************************************************
// **************************************************************************************************************

	/** 
	* Parse a String value into a byte value.
	* @param value the input String
	* @return the parsed input String as a byte value
	*/
	public byte toByte(String value)    {

		byte parsed = 0 ;
		try {
		  parsed = Byte.parseByte(value);
		} catch(Exception e) {
		  System.out.println("GeneralBean: parsing error") ;
		}
		return parsed ;
	}

	/**
	* Used to easy performances test.
	*/
    public void finalize()    {

		if (Settings.DETAILS) System.out.println("GeneralBean: destroyed " + this) ;
	}

} // END OF CLASS